summaryrefslogtreecommitdiff
path: root/go/android_build_web_core.sh
diff options
context:
space:
mode:
authorcyBerta <cyberta@riseup.net>2020-11-09 15:37:31 +0100
committercyBerta <cyberta@riseup.net>2020-11-09 15:37:31 +0100
commitf8daccffc061e2f05f6605913c19d4aa807eaddb (patch)
treea9789cd103807debb302d838dc5aef81fc2a4bb6 /go/android_build_web_core.sh
parent9510a267ac90d74fc47977958a67b4e0bd0b5708 (diff)
initial auto-update implementation: introducing fatweb flavor, pgpverify go library and bitmask core library, basic update mechanism
Diffstat (limited to 'go/android_build_web_core.sh')
-rwxr-xr-xgo/android_build_web_core.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/go/android_build_web_core.sh b/go/android_build_web_core.sh
new file mode 100755
index 00000000..762d4dad
--- /dev/null
+++ b/go/android_build_web_core.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+export GOPATH=`pwd`
+export GO_LANG=`pwd`/golang/go/bin
+export GO_COMPILED=`pwd`/bin
+PATH="${GO_LANG}:${GO_COMPILED}:${PATH}"
+
+if [ -z $ANDROID_NDK_HOME ]; then
+ echo "Android NDK path not specified!"
+ echo "Please set \$ANDROID_NDK_HOME before starting this script!"
+ exit 1;
+fi
+
+./golang/go/bin/go env
+echo "getting gomobile..."
+./golang/go/bin/go get golang.org/x/mobile/cmd/gomobile
+echo "initiating gomobile..."
+./bin/gomobile init
+if [ ! -d ./lib ]; then mkdir ./lib; fi
+echo "cross compiling bitmask web apk core lib (shapeshifter, pgpverify)..."
+./bin/gomobile bind -target=android -o ./lib/bitmask-web-core.aar se.leap.bitmaskclient/shapeshifter/ se.leap.bitmaskclient/pgpverify
+cp lib/bitmask-web-core* ../bitmask-web-core/. \ No newline at end of file